# $Revision: 1.91.4.4 $, $Date: 2003/08/05 10:19:02 $
#
# Conditional build:
# _with_svgalib	- build with svgalib output driver
#
Summary:	PostScript & PDF interpreter and renderer
Summary(de):	PostScript & PDF Interpreter und Renderer
Summary(fr):	Interprteur et visualisateur PostScript & PDF
Summary(ja):	PostScript 󥿡ץ꥿顼
Summary(pl):	Bezpatny interpreter i renderer PostScriptu i PDF
Summary(tr):	PostScript & PDF yorumlayc ve gsterici
Name:		ghostscript
Version:	7.05
Release:	3
Vendor:		Aladdin Enterprises <bug-gs@aladdin.com>
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/ghostscript/%{name}-%{version}.tar.bz2
# Source0-md5:	821caada7e265ea5b698a78e6b029734
Source1:	http://www.ozemail.com.au/~geoffk/pdfencrypt/pdf_sec.ps
# we need to link with libjpeg recompiled with our parameters
Source2:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
# Source2-md5:	dbd5f3b47ed13132f04c685d608a7547
Source3:	%{name}-find_devs.sh
Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source5-md5:	9b5953aa0cc155f4364f20036b848585
Patch0:		%{name}-config.patch
Patch1:		%{name}-hpdj_driver.patch
Patch2:		%{name}-cdj880.patch
#Patch3:		%{name}-nosafer.patch
Patch4:		%{name}-missquotes.patch
Patch5:		%{name}-setuid.patch
Patch6:		%{name}-time_h.patch
Patch7:		%{name}-oob-66421.patch
Patch8:		%{name}-zfile.patch
URL:		http://www.ghostscript.com/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
# Required by ghostscript-find_devs.sh
BuildRequires:	awk
# for gsx
BuildRequires:	gtk+-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel
# Required by 'gdevvglb' device.
%ifarch %{ix86} alpha ppc
%{?_with_svgalib:BuildRequires:	svgalib-devel}
%endif
# for documentation regeneration
BuildRequires:	docbook-style-dsssl
BuildRequires:	/usr/bin/texi2html
BuildRequires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%description -l de
Ghostscipt ist ein PostScript-Interpretierer. Er kann sowohl
PostScript als auch PDF-konforme Dateien an Gerte ausgeben, zu denen
ein X-Fenster, viele Druckerformate (einschlielich Support fr
Farbdrucker) und gngige Grafikdateiformate zhlen.

%description -l fr
Ghostscript est un interprteur PostScript. Il peut rendre des
fichiers PostScript ou PDF sur des priphriques dont une fentre X,de
nombreux types d'imprimantes (dont un support pour imprimantes
couleur), et des formats de fichiers graphiques populaires.

%description -l ja
Ghostscript  PostScript 󥿡ץ꥿ǤݥȥץȤ PDF
󥰤X window ¾Υץ󥿥եޥåȤǽ
ޤΥѥåܸбƤޤ

%description -l pl
Ghostcript jest interpreterem PostScriptu, jzyka uywanego do opisu
formatu dokumentu. Ghostscript potrafi przetworzy dokument w formacie
PostScript i PDF na szereg postaci wyjciowych: drukarki (wczajc
kolorowe), okno X-Window i popularne formaty graficzne.

%description -l tr
GhostScript, PostScript ve PDF uyumlu dosyalar, X penceresinde
gsterebilir ve birok yazcnn (renkli yazclar dahil) basabilecei
biime getirebilir.

%package gtk
Summary:	Ghostscript with Gtk+ console
Summary(pl):	Ghostscript z konsol Gtk+
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description gtk
Ghostscript with Gtk+ console.

%description gtk -l pl
Ghostscript z konsol Gtk+.

%package devel
Summary:	libgs header files
Summary(pl):	Pliki nagwkowe libgs
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libgs - ghostscript shared library.

%description devel -l pl
Pliki nagwkowe libgs - wspdzielonej biblioteki ghostscript.

%package ijs-devel
Summary:	IJS development files
Summary(pl):	Pliki dla programistw IJS
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description ijs-devel
IJS development files.

%description ijs-devel -l pl
Pliki do tworzenia programw z uyciem biblioteki IJS.

%package ijs-static
Summary:	Static libijs
Summary(pl):	Statyczna biblioteka IJS
Group:		Development/Libraries
Requires:	%{name}-ijs-devel = %{version}

%description ijs-static
Static libijs.

%description ijs-static -l pl
Statyczna wersja biblioteki IJS.

%prep
%setup -q -a2
ln -sf src/unix-gcc.mak Makefile
%patch0 -p1
%patch1 -p1
%patch2 -p1
##%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
ln -sf jp* jpeg
install %{SOURCE3} .

%build
# NOTE: %%{SOURCE3} takes _blacklist_ as arguments, not the list of
# drivers to make!
%configure \
	--with-x \
	--with-ijs
cd ijs
%{__autoconf}
%configure
cd ..

%{__make} so \
	XCFLAGS="%{rpmcflags} -DA4=1 -w" \
	XLDFLAGS="%{rpmldflags}" \
	prefix=%{_prefix} \
	datadir=%{_datadir}/%{name} \
	mandir=%{_mandir} \
	docdir=%{_datadir}/doc/%{name}-%{version} \
	DEVICE_DEVS16="`/bin/sh %{SOURCE3} devs.mak \
%ifnarch %{ix86} alpha ppc
		vgalib lvga256\
%else
		%{!?_with_svgalib:vgalib lvga256} \
%endif
		`" \
	DEVICE_DEVS17="`/bin/sh %{SOURCE3} contrib.mak \
%ifnarch %{ix86} alpha ppc
		vgalib lvga256\
%else
		%{!?_with_svgalib:vgalib lvga256} \
%endif
		`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_libdir},%{_includedir}}

%{__make} soinstall \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

cd ijs
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
cd ..

install lib/{gs_frsd,pdfopt,pdfwrite}.ps $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc \
	$RPM_BUILD_ROOT%{_bindir}/*.sh \
	$RPM_BUILD_ROOT%{_mandir}/man1/{ps2pdf1{2,3},gsbj,gsdj,gsdj500,gslj,eps2eps}.1

echo ".so gs.1"     > $RPM_BUILD_ROOT%{_mandir}/man1/ghostscript.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ps2pdf12.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ps2pdf13.1
echo ".so ps2ps.1"  > $RPM_BUILD_ROOT%{_mandir}/man1/eps2eps.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsbj.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsdj.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsdj500.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gslj.1

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

mv -f $RPM_BUILD_ROOT%{_bindir}/{gsc,gs}
ln -sf gs $RPM_BUILD_ROOT%{_bindir}/gsc
ln -sf gs $RPM_BUILD_ROOT%{_bindir}/ghostscript

install -d $RPM_BUILD_ROOT%{_includedir}/ps
install src/{iapi,errors}.h $RPM_BUILD_ROOT%{_includedir}/ps

rm -f $RPM_BUILD_ROOT%{_mandir}/{man1/ansi2knr.1,*/man1/ansi2knr.1}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.htm
%attr(755,root,root) %{_bindir}/[!gi]*
%attr(755,root,root) %{_bindir}/gs
%attr(755,root,root) %{_bindir}/gs[!x]*
%attr(755,root,root) %{_bindir}/ijs_client_example
%attr(755,root,root) %{_libdir}/libgs.so.*.*
%attr(755,root,root) %{_libdir}/libijs.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
# "*.*" will not match "Fontmap". It is OK.
%{_datadir}/%{name}/lib/*.*
%{_datadir}/%{name}/lib/CIDFnmap
%dir %{_datadir}/%{name}/examples
%{_datadir}/%{name}/examples/*
%config %verify(not size md5 mtime) %{_datadir}/%{name}/lib/Fontmap
%{_mandir}/man*/*
%lang(cs) %{_mandir}/cs/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsx

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgs.so
%{_includedir}/ps

%files ijs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ijs-config
%{_includedir}/ijs

%files ijs-static
%defattr(644,root,root,755)
%{_libdir}/libijs.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All below listed persons can be reached on <cvs_login>@pld-linux.org

$Log: ghostscript.spec,v $
Revision 1.91.4.4  2003/08/05 10:19:02  qboosh
- fixed release information in last commit

Revision 1.91.4.3  2003/08/05 10:15:38  qboosh
- added oob-66421 patch - SEGV fix from RH
- added zfine patch - security fix from RH (CAN-2003-0354, BTS#699)
- cleanups in spec, added missing de manuals, removed all ansi2knr(1)
- release 3

Revision 1.91.4.2  2003/08/05 08:57:08  qboosh
- md5

Revision 1.91.4.1  2003/08/05 08:54:12  qboosh
- started preparing patched 7.05 for ra/updates/security
- first, merged some post-Ra fixes

Revision 1.91  2002/06/10 21:18:06  qboosh
- fixed missquotes patch (wrong mktemp usage in ps2epsi)
- removed "libpng 1.2.2 support"
- release 2

Revision 1.90  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.89  2002/05/19 22:15:11  kloczek
- release 1.

Revision 1.88  2002/05/06 20:17:20  qboosh
- updated config patch
- libpng 1.2.2 support

Revision 1.87  2002/04/25 16:23:14  arturs
fixed a small typo

Revision 1.86  2002/04/24 09:20:53  wiget
start upgrading to GNU Ghostscript 7.05

Revision 1.85  2002/04/16 19:25:27  gotar
- fixed mistake in polish description.

Revision 1.84  2002/04/16 17:34:03  qboosh
- pl fix

Revision 1.83  2002/04/15 23:40:34  gotar
- complemented polish summary,
- fixed typo in description.

Revision 1.82  2002/04/06 12:04:33  qboosh
- build with shared library
- release 1.5, STBR-test

Revision 1.81  2002/03/29 23:12:09  qboosh
- updated missquotes patch (only one file was fixed in 7.04)
- fixed Group and added pl translation to ijs-*
- release 1.3

Revision 1.80  2002/03/22 15:20:44  wiget
- remove gimp-print dependency and gimp-print driver
- build and install ijs library (as subpackage)
- release 1.2

Revision 1.79  2002/03/20 23:17:54  kloczek
- reelase 1.

Revision 1.78  2002/03/14 11:40:34  wrobell
- will compile, when find_devs madness is resolved
- nfy

Revision 1.77  2002/03/12 14:09:41  wiget
start update to 7.04

Revision 1.76  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.75  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.74  2002/02/13 22:13:10  qboosh
- simplified prep

Revision 1.73  2002/02/06 16:44:45  wiget
-updated gimp-print driver to 4.2.0
- BuildRequire gimp-print-devel
- Release 3

Revision 1.72  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.71  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.70  2001/11/15 23:24:52  ankry
- added cs,es,fr,pl man pages
- release 2

Revision 1.69  2001/11/14 18:31:17  blues
- s/Copyright/License/

Revision 1.68  2001/10/29 00:46:33  saq
- up to 7.03
- removed hpijs patch (already in source0)
- STB

Revision 1.67  2001/08/10 21:45:05  blues
- configure2_13

Revision 1.66  2001/07/13 10:23:25  mguevara
- release 4
- removes hpijs server/driver from the main package (now
  in the separate hpijs package)
- added ghostscript-hpijs-0.97.patch which activates
  HP drivers and updates related ghostscript 7.0 files
  to versions from HP's hpijs0.97
- legal stuff: HP's part of ghostscript (gdevhpij.c
  and gdevhpij.h files) is LGPL

Revision 1.65  2001/06/09 15:23:57  blues
- release 3
- gimp-print-4.1.9

Revision 1.64  2001/05/22 09:06:20  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.63  2001/05/09 11:02:48  blues
- release 2

Revision 1.62  2001/05/09 10:56:31  blues
- specs updated

Revision 1.61  2001/05/08 16:29:21  wiget
release 1

Revision 1.60  2001/05/08 16:26:49  wiget
gimp-print 4.1.6

Revision 1.59  2001/04/16 00:45:53  qboosh
- updated config and missquote patches
- added omni to blacklist (no source)
- commented out nosafer patch - seems to be obsoleted
- Type1 fonts are in /usr/share/fonts/Type1
- BuildRequires: libstdc++-devel (because of hpijs), removed implied BRs

Revision 1.58  2001/04/09 11:38:27  wiget
first step to new version of ghostscript
- changed Version to 7.00
- gimp-print 4.1.5

Revision 1.57  2001/03/28 13:41:57  mguevara
- new version of hpijs (0.94) drivers
- some documentation fixes

Revision 1.56  2001/03/28 12:01:51  mguevara
- added url to hpijs drivers
- release 6

Revision 1.55  2001/03/28 07:39:20  mguevara
- addded support for HP inkjet printers for ghostscript by HP
- licensing: ghostscript glue part is LGPL,*HP drivers*
  are under BSD type of license restricted to HP only
  devices (they are working on BSD lic without such
  restriction, but as today this restriction exsists)
- I dont know any arch dependencies - does it compile on
  alpha or sparc? If not some "ifarch" should be added
- tested on i686 machine - works ok, spec needs some more
  small cosmetic work - add url, licensing info etc.

Revision 1.54  2001/02/20 23:42:00  kloczek
- release 5.

Revision 1.53  2001/02/20 23:22:56  qboosh
- re-fixed _with_svgalib usage

Revision 1.52  2001/02/20 12:43:25  wiget
fix usage of _with_svgalib, add gimp-print (stp) driver support, release 4, STB

Revision 1.51  2001/02/19 23:05:02  qboosh
- added lvga256 to --with svgalib version

Revision 1.50  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.49  2001/01/25 17:37:25  wiget
integrate some patches from Debian Sid, release 3

Revision 1.48  2001/01/09 17:47:19  qboosh
- fix previous "fixes"
- don't buildrequire svgalib on alpha (as libvga support isn't enabled)

Revision 1.47  2001/01/08 09:49:22  kloczek
- release 2.

Revision 1.46  2001/01/06 21:59:44  qboosh
- s/svgalib/_with_svgalib/ with fixes

Revision 1.45  2001/01/03 23:43:09  kloczek
- use roff include instead symlinks in gsbj(1), gsdj(1), gsdj500(1),
  gslj(1) man pages.

Revision 1.44  2001/01/03 19:30:36  wrobell
- up to 6.50

Revision 1.43  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/09/28 20:37:06  zagrodzki
- typo

Revision 1.41  2000/09/28 19:54:44  kloczek
- make spec %%{debug} redy,
- use rpm new automation suit.

Revision 1.40  2000/09/28 19:29:16  zagrodzki
- added alpha to no-libvga-list

Revision 1.39  2000/09/28 19:18:44  zagrodzki
- added conditional libvga support

Revision 1.38  2000/08/26 23:03:56  klakier
- release 2 (for 6.23): patch changed back according to PLD-doc/font-style.txt
  (Type1 -> type1)

Revision 1.37  2000/08/11 07:04:40  mguevara
- updated to version 6.23

Revision 1.36  2000/08/10 07:33:32  mguevara
- added cdj880 driver v1.31 by Matthew J. Gelhaus
- support for hp dekjets 880C, 882C, 895C and more
- please check is Uli Wortman's 850C driver still works with this patch
- commented out cdj880 from blacklist in .sh script (now it is in *.c :)

Revision 1.35  2000/08/03 23:04:21  kloczek
- adapterized.

Revision 1.34  2000/08/03 22:35:48  mkochano
- Updated to current CVS version. This solves bug causing problems with
  ghostview.

Revision 1.33  2000/08/01 20:16:27  mkochano
- Automated finding of inactive drivers. Now it (hopefully) will not require
  manual updates of makefile in order to activate drivers.
- Release 5.

Revision 1.32  2000/07/30 05:00:14  kloczek
- spec adapterized.

Revision 1.31  2000/07/28 13:57:10  zagrodzki
- release 4, built against libpng >= 1.0.8

Revision 1.30  2000/07/27 13:16:36  kloczek
- release 3,
- remove devicelist patch and pass list all additional devices as make
  parametrs,
- disable vgalib device on sparc/sparc64 (on this arch libsvga is not
  avalaible).

Revision 1.29  2000/07/25 21:30:33  mkochano
- devicelist patch is back.
- Added hpdj driver from previous version.
- Release 2.

Revision 1.28  2000/07/25 05:05:04  kloczek
- updated to 6.22,
- removed outdated deviceslist patch.

Revision 1.27  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.26  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/08 20:12:44  klakier
- release 2: config.patch changed (type1 -> Type1)

Revision 1.24  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.23  2000/05/04 07:59:16  kloczek
- updated to 6.21.

Revision 1.22  2000/04/14 18:14:22  mkochano
- Compiled support for more devices (declj250 dnj650c lj4dith escp djet500c
  coslw2p coslwxl cp50 epson eps9mid eps9high ibmpro epsonc ap3250 st800
  stcolor cdj850 cdj670 cdj890 cdj1600 lj250 paintjet pjetxl hl7x0 imagen
  jetp3852 lbp8 lips3 lp8000 m8510 necp6 lq850 lxm5700m oki182 okiibm r4081
  sj48 t4693d2 t4693d4 t4693d8 tek4696 dfaxlow dfaxhigh cif inferno mgrmono
  mgrgray2 mgrgray4 mgrgray8 mgr4 mgr8 sgirgb sunhmono).
- Release++;

Revision 1.21  2000/04/12 13:52:23  kloczek
- added ja translation.

Revision 1.20  2000/04/12 13:48:42  kloczek
- cosmetics.

Revision 1.19  2000/04/11 10:25:31  misiek
- partially updated to 6.20

Revision 1.16  2000/02/07 18:24:27  baggins
- release 6
- gzipped %doc and man pages

Revision 1.15  2000/01/19 12:46:04  kloczek
- more %%{version} removed from %files.

Revision 1.14  2000/01/19 12:09:22  kloczek
- release 5,
- build agains shared libjpeg,
- changed configuration: use %%{_datadir}/%%{name}/ instead
  %%{_datadir}/%%{name}/%%{version}.

Revision 1.13  1999/07/26 12:39:37  misiek
- encrypted pdfs support
